# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate tokio-proto

Name:           rust-%{crate}
Version:        0.1.1
Release:        6%{?dist}
Summary:        Network application framework

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tokio-proto
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump rand to 0.4
# * Bump smallvec to 0.6
# * Bump env_logger to 0.4
# https://github.com/tokio-rs/tokio-proto/pull/201
# * Bump lazycell to 1, https://github.com/tokio-rs/tokio-proto/pull/206
Patch0:         tokio-proto-0.1.1-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(futures) >= 0.1.11 with crate(futures) < 0.2.0)
BuildRequires:  (crate(log) >= 0.3.6 with crate(log) < 0.4.0)
BuildRequires:  (crate(net2) >= 0.2.0 with crate(net2) < 0.3.0)
BuildRequires:  (crate(rand) >= 0.4.0 with crate(rand) < 0.5.0)
BuildRequires:  (crate(slab) >= 0.3.0 with crate(slab) < 0.4.0)
BuildRequires:  (crate(smallvec) >= 0.6.0 with crate(smallvec) < 0.7.0)
BuildRequires:  (crate(take) >= 0.1.0 with crate(take) < 0.2.0)
BuildRequires:  (crate(tokio-core) >= 0.1.5 with crate(tokio-core) < 0.2.0)
BuildRequires:  (crate(tokio-io) >= 0.1.0 with crate(tokio-io) < 0.2.0)
BuildRequires:  (crate(tokio-service) >= 0.1.0 with crate(tokio-service) < 0.2.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(bytes) >= 0.4.0 with crate(bytes) < 0.5.0)
BuildRequires:  (crate(env_logger) >= 0.4.0 with crate(env_logger) < 0.5.0)
BuildRequires:  (crate(lazycell) >= 1.0.0 with crate(lazycell) < 2.0.0)
BuildRequires:  (crate(mio) >= 0.6.0 with crate(mio) < 0.7.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A network application framework for rapid development and highly scalable
production deployments of clients and servers.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
# https://github.com/tokio-rs/tokio-proto/pull/203
chmod -x tests/*.rs tests/support/*.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-6
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-5
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-3
- Bump lazycell to 1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-1
- Initial package
